import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { URL } from '../mocks/url';


@Injectable({
    providedIn: 'root'
})
export class HelpService {

    constructor(
        private http: HttpClient
    ) { }

    async mallFaqs(){
        const httpOptions={
            headers: new HttpHeaders({
				'Access-Control-Allow-Origin': '*',
				'Content-Type': 'application/json',
				'Authorization': 'Bearer ' + localStorage.access_Token
            })
        };

        return await this.http.get(URL + '/api/maioraservice/faq/getall/', httpOptions).toPromise()
    }
}
